#!/usr/bin/env python
# pymoney.py

########################################################################
#  SdiQt -- SDictionary viewer based on Qt library
#  Copyright (C) 2006 Dmitri Brechalov
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  The full license is in the file COPYING, distributed as part of
#  this software.
########################################################################

import sys
from qt import *
import utils

useQtopia = 0

try:
    from qtpe import QPEApplication
    useQtopia = True
except ImportError:
    QPEApplication = QApplication
    useQtopia = False
utils.setQtopia(useQtopia)

from main import mainForm

a = QPEApplication(sys.argv)
QObject.connect(a, SIGNAL("lastWindowClosed()"), a.quit)

form = mainForm()
a.setMainWidget(form)

form.resize(640, 480)
if useQtopia:
    a.showMainWidget(form)
else:
    a.setMainWidget(form)
    form.show()

a.exec_loop()

# end of pymoney.py
